Loading...
Searching...
No Matches
serializationTestHelpers.h File Reference

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class T>
T | gtsam::serializationTestHelpers::create ()
boost::filesystem::path | gtsam::serializationTestHelpers::resetFilesystem (boost::filesystem::path folder="actual")
template<class T>
void | gtsam::serializationTestHelpers::roundtrip (const T &input, T &output)
template<class T>
void | gtsam::serializationTestHelpers::roundtripFile (const T &input, T &output)
template<class T>
bool | gtsam::serializationTestHelpers::equality (const T &input=T())
template<class T>
bool | gtsam::serializationTestHelpers::equalsObj (const T &input=T())
template<class T>
bool | gtsam::serializationTestHelpers::equalsDereferenced (const T &input)
template<class T>
void | gtsam::serializationTestHelpers::roundtripXML (const T &input, T &output)
template<class T>
void | gtsam::serializationTestHelpers::roundtripXMLFile (const T &input, T &output)
template<class T>
bool | gtsam::serializationTestHelpers::equalityXML (const T &input=T())
template<class T>
bool | gtsam::serializationTestHelpers::equalsXML (const T &input=T())
template<class T>
bool | gtsam::serializationTestHelpers::equalsDereferencedXML (const T &input=T())
template<class T>
void | gtsam::serializationTestHelpers::roundtripBinary (const T &input, T &output)
template<class T>
void | gtsam::serializationTestHelpers::roundtripBinaryFile (const T &input, T &output)
template<class T>
bool | gtsam::serializationTestHelpers::equalityBinary (const T &input=T())
template<class T>
bool | gtsam::serializationTestHelpers::equalsBinary (const T &input=T())
template<class T>
bool | gtsam::serializationTestHelpers::equalsDereferencedBinary (const T &input=T())

## Variables

const bool | verbose = false

## Detailed Description

Author
  Alex Cunningham
  Richard Roberts

Date
  Feb 7, 2012